std::shared_mutex Class Reference

## Public Member Functions

| shared_mutex (const shared_mutex &)=delete
void | lock ()
void | lock_shared ()
shared_mutex & | operator= (const shared_mutex &)=delete
bool | try_lock ()
bool | try_lock_shared ()
void | unlock ()
void | unlock_shared ()

## Related Functions

(Note that these are not member functions.)
template<typename _Mutex >
void | swap (shared_lock< _Mutex > &__x, shared_lock< _Mutex > &__y) noexcept

## Detailed Description

The standard shared mutex type.

Definition at line 409 of file shared_mutex.

The documentation for this class was generated from the following file:

- shared_mutex